(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.1";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Helv", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 14, L0, center, nohscroll, bold;
	fontset = section, "Helv", 14, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; startGroup; ]
Overcoming Problems When Using
:[font = special1; inactive; preserveAspect; ]
MATHEMATICA
:[font = section; inactive; preserveAspect; startGroup; ]
Points to Remember
:[font = text; inactive; preserveAspect; ]
-- Built-in functions and constants begin with a capital letter, like Cos and Pi.
;[s]
5:0,0;70,1;73,2;78,3;80,4;82,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
-- Begin your own variables with a lower case letter, like numPoints.
;[s]
3:0,0;59,1;68,2;70,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
-- When using the Notebook interface, Mathematica code appears in bold like
;[s]
3:0,0;38,1;49,2;75,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Plot[ Sin[x], {x, 0, 6 Pi} ]
:[font = text; inactive; preserveAspect; ]
-- The RETURN key is only useful for formatting text in a cell, whereas the ENTER key or SHIFT-RETURN evaluates expressions.
:[font = text; inactive; preserveAspect; ]
-- Brackets appearing on the far right side of a Notebook window delimit and group cells; each cell has a type associated with it--- text, Mathematica code, graphics, title, etc.  By changing the cell type, through the Format ... Styles Inspector menu on the NeXT or the Style ... Cell Style menu on a Macintosh, you can generate your own word processing documents.
;[s]
7:0,0;139,1;150,2;219,3;246,4;271,5;291,6;366,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
-- White space (space, tabs, etc.) between variables is usually interpreted as multiplication; however, an expression like  3  4  -3  returns  9 (i.e., 3 x 4 - 3) and not -36.
;[s]
5:0,0;123,1;132,2;143,3;144,4;175,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
-- If you are on a Macintosh, monitor Mathematica's use of memory by watching the ruler embedded in the bottom of each Notebook window.  When the ruler becomes solidly black, you are out of memory and Mathematica will crash.   (See below for information on the Share command.)  If you do run out of memory, exit Mathematica and increase the amount of memory that Mathematica allocates by clicking once on the Mathematica icon, choosing the Get Info option under the File menu, and increasing the number that appears in the lower right-hand corner of  the info window.
;[s]
17:0,0;38,1;49,2;201,3;212,4;261,5;266,6;312,7;323,8;363,9;374,10;409,11;420,12;440,13;448,14;466,15;470,16;567,-1;
17:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
-- To direct  Mathematica to recover redundant memory, evaluate
;[s]
3:0,0;14,1;25,2;63,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Share[]
:[font = text; inactive; preserveAspect; endGroup; ]
This routine returns the number of bytes of memory recovered.  On a Macintosh, recovered memory is shaded gray on the ruler.
:[font = section; inactive; preserveAspect; startGroup; ]
When A Command Evaluates To Itself
:[font = text; inactive; preserveAspect; ]
     It can be frustrating when a command evaluates to itself, for example
:[font = input; preserveAspect; startGroup; ]
CTPiecewiseConvolution[ CPulse[t], CPulse[t], t ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
CTPiecewiseConvolution[CPulse[t], CPulse[t], t]
;[o]
CTPiecewiseConvolution[CPulse[t], CPulse[t], t]
:[font = text; inactive; preserveAspect; ]
First, ask for help to see if you called the function correctly:
:[font = input; preserveAspect; startGroup; ]
?CTPiecewiseConvolution
:[font = message; inactive; preserveAspect; endGroup; ]
Information::notfound:
  CTPiecewiseConvolution not found.
:[font = text; inactive; preserveAspect; ]
If help information is not found, then either you have made a spelling mistake or Mathematica did not load the routine.  In the latter case, remove its definition and tell Mathematica where to find the signal processing packages
;[s]
3:0,0;82,1;93,2;230,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Remove[ CTPiecewiseConvolution ]
:[font = input; preserveAspect; ]
Needs[ "SignalProcessing`Master`" ]
:[font = text; inactive; preserveAspect; ]
If Mathematica says that it cannot open ``Master.m,'' e.g.
;[s]
3:0,0;3,1;14,2;58,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = message; inactive; preserveAspect; ]
Get::noopen: Cannot open Master.m.
:[font = text; inactive; preserveAspect; endGroup; ]
then the $Path variable is not set correctly or the signal processing packages have not been installed. The $Path variable defines a list of directories that Mathematica searches to find a file.  In the above example, Mathematica would search for a "Master.m" file in a "SignalProcessing" directory.
;[s]
9:0,0;9,1;14,2;108,3;113,4;158,5;169,6;218,7;229,8;299,-1;
9:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Changing the Behavior of Pre-defined Functions
:[font = text; inactive; preserveAspect; ]
     The default behavior of many Mathematica functions can be changed by using options.  For example, you may want to see a different range of values on a plot than the one shown---  you can override this by using the PlotRange option.  By default, the range of Plot[1/x, {x, -1, 1}] is  -75 to  75.  If we really wanted a range of -5 to 5, we could say
;[s]
7:0,0;34,1;45,2;219,3;228,4;263,5;284,6;354,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Plot[ 1/x, {x, -1, 1}, PlotRange -> {-5, 5} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 98; pictureTop = 2; pictureWidth = 270; pictureHeight = 167; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.309017 0.061803 [
[(-1)] 0.02381 0.30902 0 2 Msboxa
[(-0.5)] 0.2619 0.30902 0 2 Msboxa
[(0.5)] 0.7381 0.30902 0 2 Msboxa
[(1)] 0.97619 0.30902 0 2 Msboxa
[(-4)] 0.4875 0.0618 1 0 Msboxa
[(-2)] 0.4875 0.18541 1 0 Msboxa
[(2)] 0.4875 0.43262 1 0 Msboxa
[(4)] 0.4875 0.55623 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.30902 moveto
0.02381 0.31527 lineto
stroke
grestore
[(-1)] 0.02381 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.2619 0.30902 moveto
0.2619 0.31527 lineto
stroke
grestore
[(-0.5)] 0.2619 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.7381 0.30902 moveto
0.7381 0.31527 lineto
stroke
grestore
[(0.5)] 0.7381 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.30902 moveto
0.97619 0.31527 lineto
stroke
grestore
[(1)] 0.97619 0.30902 0 2 Mshowa
gsave
0.001 setlinewidth
0.07143 0.30902 moveto
0.07143 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11905 0.30902 moveto
0.11905 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16667 0.30902 moveto
0.16667 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21429 0.30902 moveto
0.21429 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30952 0.30902 moveto
0.30952 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.35714 0.30902 moveto
0.35714 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40476 0.30902 moveto
0.40476 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.45238 0.30902 moveto
0.45238 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54762 0.30902 moveto
0.54762 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59524 0.30902 moveto
0.59524 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.64286 0.30902 moveto
0.64286 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69048 0.30902 moveto
0.69048 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78571 0.30902 moveto
0.78571 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83333 0.30902 moveto
0.83333 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88095 0.30902 moveto
0.88095 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92857 0.30902 moveto
0.92857 0.31277 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.0618 moveto
0.50625 0.0618 lineto
stroke
grestore
[(-4)] 0.4875 0.0618 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.18541 moveto
0.50625 0.18541 lineto
stroke
grestore
[(-2)] 0.4875 0.18541 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.43262 moveto
0.50625 0.43262 lineto
stroke
grestore
[(2)] 0.4875 0.43262 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.55623 moveto
0.50625 0.55623 lineto
stroke
grestore
[(4)] 0.4875 0.55623 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.08652 moveto
0.50375 0.08652 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.11125 moveto
0.50375 0.11125 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13597 moveto
0.50375 0.13597 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16069 moveto
0.50375 0.16069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21013 moveto
0.50375 0.21013 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.23485 moveto
0.50375 0.23485 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.25957 moveto
0.50375 0.25957 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.2843 moveto
0.50375 0.2843 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33374 moveto
0.50375 0.33374 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35846 moveto
0.50375 0.35846 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38318 moveto
0.50375 0.38318 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.4079 moveto
0.50375 0.4079 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45735 moveto
0.50375 0.45735 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48207 moveto
0.50375 0.48207 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50679 moveto
0.50375 0.50679 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53151 moveto
0.50375 0.53151 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.03708 moveto
0.50375 0.03708 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.01236 moveto
0.50375 0.01236 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58095 moveto
0.50375 0.58095 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.60567 moveto
0.50375 0.60567 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.24721 moveto
0.06349 0.2416 lineto
0.10317 0.23485 lineto
0.14286 0.22661 lineto
0.18254 0.21631 lineto
0.22222 0.20307 lineto
0.2619 0.18541 lineto
0.28175 0.17417 lineto
0.30159 0.16069 lineto
0.32143 0.14421 lineto
0.34127 0.12361 lineto
0.36111 0.09712 lineto
0.38095 0.0618 lineto
0.39087 0.03933 lineto
0.40079 0.01236 lineto
stroke
0.40451 0 moveto
0.40079 0.01236 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.50124 0 moveto
0.50124 0.61803 lineto
stroke
stroke
0.50124 0.61803 moveto
0.50124 0 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.59549 0.61803 moveto
0.59921 0.60567 lineto
stroke
0.59921 0.60567 moveto
0.61905 0.55623 lineto
0.63889 0.52091 lineto
0.65873 0.49443 lineto
0.67857 0.47383 lineto
0.69841 0.45735 lineto
0.7381 0.43262 lineto
0.77778 0.41497 lineto
0.81746 0.40172 lineto
0.85714 0.39142 lineto
0.89683 0.38318 lineto
0.93651 0.37644 lineto
0.97619 0.37082 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Preferences dialog box to 
control when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; preserveAspect; ]
Another valid value of PlotRange is All which is useful to visualize bounded functions.  Other examples of using options appear in the handout on page 6.  For example, the Domain option is used to tell the PiecewisePlot routine how to interpret the signal for plotting (choices are Discrete and Continuous).  You can ask for the default options:
;[s]
13:0,0;23,1;32,2;36,3;39,4;172,5;178,6;206,7;219,8;282,9;290,10;295,11;305,12;346,-1;
13:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Options[ PiecewisePlot ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{Domain :> $ConvolutionDomain}
;[o]
{Domain :> $ConvolutionDomain}
:[font = text; inactive; preserveAspect; endGroup; ]
The :> operator behaves like ->.  The :> says to get the value of $ConvolutionDomain when PiecewisePlot is called, whereas Domain -> $ConvolutionDomain says to get the value of $ConvolutionDomain when Domain -> $ConvolutionDomain is first typed.  Because we have used :>, changing the value of $ConvolutionDomain will change the default behavior of PiecewisePlot (":>" is to "->" as ":=" is to "=").
;[s]
23:0,0;4,1;6,2;29,3;31,4;38,5;40,6;66,7;84,8;90,9;103,10;123,11;151,12;177,13;195,14;201,15;229,16;268,17;270,18;294,19;312,20;349,21;362,22;400,-1;
23:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Tag Times is Protected
:[font = text; inactive; preserveAspect; ]
     Since Mathematica tries to mimic the way we write equations on paper, it is natural to forget that Mathematica uses square brackets instead of parenthesis when calling functions with arguments.   This is a common way that Set::write errors are generated, e.g.
;[s]
7:0,0;11,1;22,2;104,3;115,4;227,5;237,6;265,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
x(t) = 2
:[font = message; inactive; preserveAspect; ]
Set::write: Tag Times in x t is Protected.
:[font = output; output; inactive; preserveAspect; endGroup; ]
2
;[o]
2
:[font = text; inactive; preserveAspect; ]
because x(t) is understood as x t.  Instead, this assignment should be written
;[s]
5:0,0;8,1;12,2;30,3;33,4;79,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
x[t] = 2
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
2
;[o]
2
:[font = section; inactive; preserveAspect; startGroup; ]
Recursion Limit Reached
:[font = text; inactive; preserveAspect; ]
Sometimes, by accident, you may send Mathematica into an infinite loop.  When Mathematica reaches a certain level
;[s]
5:0,0;37,1;48,2;78,3;89,4;114,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
$IterationLimit
:[font = output; output; inactive; preserveAspect; endGroup; ]
4096
;[o]
4096
:[font = text; inactive; preserveAspect; ]
in the recursion, Mathematica will inform you and abort the calculation:
;[s]
3:0,0;18,1;29,2;72,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
bogus[n_] := bogus[n-1];
bogus[100]
:[font = message; inactive; preserveAspect; ]
$IterationLimit::itlim: 
   Iteration limit of 4096 exceeded.
:[font = output; output; inactive; preserveAspect; endGroup; ]
Hold[bogus[-3995 - 1]]
;[o]
Hold[bogus[-3995 - 1]]
:[font = text; inactive; preserveAspect; endGroup; ]
If you see this warning message but Mathematica does not give any output, then Mathematica is hung.  You will have to restart the kernel (or if you are on a Macintosh, you will have to restart Mathematica).
;[s]
7:0,0;36,1;47,2;79,3;90,4;193,5;204,6;207,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Other Errors
:[font = text; inactive; preserveAspect; ]
     Mathematica protects all of its built-in constants and function names.  For example, Mathematica will not let you redefine the value of p,
;[s]
6:0,0;16,1;90,2;101,3;141,4;142,5;144,-1;
6:1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Pi = 3
:[font = message; inactive; preserveAspect; ]
Set::wrsym: Symbol Pi is Protected.
:[font = output; output; inactive; preserveAspect; endGroup; ]
3
;[o]
3
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
You cannot reset the values of one-letter variables C, D, E, I, L, N, O, and Z.
;[s]
17:0,0;52,1;53,2;55,3;56,4;58,5;59,6;61,7;62,8;64,9;65,10;67,11;68,12;70,13;71,14;77,15;78,16;80,-1;
17:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
^*)