(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.1";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Helv", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 14, L0, center, nohscroll, bold;
	fontset = section, "Helv", 14, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; startGroup; ]
Important Information for Students in a First Class on Signals and Systems
:[font = text; inactive; preserveAspect; ]
     In a first quarter class on signals and systems (EE 3216 at Georgia Tech), you will be using Mathematica to plot functions, solve convolution problems, and work transform problems, in both continuous and discrete domains.  Once you adapt textbook problems to a Mathematica syntax , the analog and digital signal processing extensions to Mathematica will solve them.  Plotting and convolution are discussed below.   We have written a tutorial Notebook on convolution called ``PiecewiseConvolution''.  See the next section (or the ``EE 3221'' Notebook) for information about transforms.
;[s]
10:0,0;98,1;109,2;252,3;266,4;277,5;288,6;342,7;353,8;358,9;590,-1;
10:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Plotting Signals
:[font = text; inactive; preserveAspect; ]
      Mathematica provides some 50 different plotting routines to display formulas of one and two variables (in Cartesian, polar, spherical,  and cylindrical coordinates), a scatter plot of data, density plots, and contour plots.  The most basic plotting routine is Plot which plots a formula of one real variable over a real interval in Cartesian coordinates:
;[s]
5:0,0;6,1;17,2;266,3;270,4;360,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Plot [ Sin[ Pi x ], {x, 0, 2} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.30902 0.2943 [
[(0.5)] 0.2619 0.29652 0 1 Msboxa
[(1)] 0.5 0.29652 0 1 Msboxa
[(1.5)] 0.7381 0.29652 0 1 Msboxa
[(2)] 0.97619 0.29652 0 1 Msboxa
[(-1)] 0.01131 0.01472 1 0 Msboxa
[(-0.5)] 0.01131 0.16187 1 0 Msboxa
[(0.5)] 0.01131 0.45617 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
0.2619 0.30277 moveto
0.2619 0.31527 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.29652 0 1 Mshowa
0.5 0.30277 moveto
0.5 0.31527 lineto
stroke
0 setgray
[(1)] 0.5 0.29652 0 1 Mshowa
0.7381 0.30277 moveto
0.7381 0.31527 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.29652 0 1 Mshowa
0.97619 0.30277 moveto
0.97619 0.31527 lineto
stroke
0 setgray
[(2)] 0.97619 0.29652 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.01472 moveto
0.03006 0.01472 lineto
stroke
0 setgray
[(-1)] 0.01131 0.01472 1 0 Mshowa
0.01756 0.16187 moveto
0.03006 0.16187 lineto
stroke
0 setgray
[(-0.5)] 0.01131 0.16187 1 0 Mshowa
0.01756 0.45617 moveto
0.03006 0.45617 lineto
stroke
0 setgray
[(0.5)] 0.01131 0.45617 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.06349 0.38519 lineto
0.10317 0.45617 lineto
0.14286 0.51712 lineto
0.1627 0.5425 lineto
0.18254 0.56389 lineto
0.20238 0.58092 lineto
0.22222 0.59329 lineto
0.23214 0.59766 lineto
0.2371 0.59939 lineto
0.24206 0.6008 lineto
0.24702 0.6019 lineto
0.2495 0.60233 lineto
0.25198 0.60269 lineto
0.25446 0.60296 lineto
0.2557 0.60307 lineto
0.25694 0.60316 lineto
0.25818 0.60323 lineto
0.25942 0.60328 lineto
0.26066 0.60331 lineto
0.2619 0.60332 lineto
0.26314 0.60331 lineto
0.26438 0.60328 lineto
0.26563 0.60323 lineto
0.26687 0.60316 lineto
0.26935 0.60296 lineto
0.27183 0.60269 lineto
0.27431 0.60233 lineto
0.27679 0.6019 lineto
0.28175 0.6008 lineto
0.28671 0.59939 lineto
0.29167 0.59766 lineto
0.30159 0.59329 lineto
0.32143 0.58092 lineto
0.34127 0.56389 lineto
0.38095 0.51712 lineto
0.42063 0.45617 lineto
0.46032 0.38519 lineto
0.5 0.30902 lineto
0.53968 0.23285 lineto
0.57937 0.16187 lineto
0.61905 0.10091 lineto
0.63889 0.07553 lineto
0.65873 0.05414 lineto
0.67857 0.03712 lineto
0.69841 0.02474 lineto
0.70833 0.02037 lineto
0.71329 0.01865 lineto
0.71825 0.01723 lineto
0.72321 0.01613 lineto
Mistroke
0.72569 0.0157 lineto
0.72817 0.01535 lineto
0.73065 0.01507 lineto
0.73189 0.01496 lineto
0.73313 0.01487 lineto
0.73438 0.0148 lineto
0.73562 0.01475 lineto
0.73686 0.01472 lineto
0.7381 0.01472 lineto
0.73934 0.01472 lineto
0.74058 0.01475 lineto
0.74182 0.0148 lineto
0.74306 0.01487 lineto
0.7443 0.01496 lineto
0.74554 0.01507 lineto
0.74802 0.01535 lineto
0.7505 0.0157 lineto
0.75298 0.01613 lineto
0.75794 0.01723 lineto
0.7629 0.01865 lineto
0.76786 0.02037 lineto
0.77778 0.02474 lineto
0.79762 0.03712 lineto
0.81746 0.05414 lineto
0.85714 0.10091 lineto
0.89683 0.16187 lineto
0.93651 0.23285 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; ]
Here, the Plot routine plots sin(p x) for x in (0, 2). 
;[s]
5:0,0;10,1;14,2;33,3;34,4;56,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
      The signal processing extensions introduce SignalPlot which plots  a complex-valued function of a real variable:
;[s]
3:0,0;49,1;59,2;119,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
SignalPlot[ Exp[ I Pi x ], {x, 0, 2} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.30902 0.2943 [
[(Signal Plot)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.29652 0 1 Msboxa
[(1)] 0.5 0.29652 0 1 Msboxa
[(1.5)] 0.7381 0.29652 0 1 Msboxa
[(2)] 0.97619 0.29652 0 1 Msboxa
[(x)] 1.00625 0.30902 -1 0 Msboxa
[(-1)] 0.01131 0.01472 1 0 Msboxa
[(-0.5)] 0.01131 0.16187 1 0 Msboxa
[(0.5)] 0.01131 0.45617 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[( )] 0.02381 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Signal Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
0.2619 0.30277 moveto
0.2619 0.31527 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.29652 0 1 Mshowa
0.5 0.30277 moveto
0.5 0.31527 lineto
stroke
0 setgray
[(1)] 0.5 0.29652 0 1 Mshowa
0.7381 0.30277 moveto
0.7381 0.31527 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.29652 0 1 Mshowa
0.97619 0.30277 moveto
0.97619 0.31527 lineto
stroke
0 setgray
[(2)] 0.97619 0.29652 0 1 Mshowa
0 setgray
[(x)] 1.00625 0.30902 -1 0 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.01472 moveto
0.03006 0.01472 lineto
stroke
0 setgray
[(-1)] 0.01131 0.01472 1 0 Mshowa
0.01756 0.16187 moveto
0.03006 0.16187 lineto
stroke
0 setgray
[(-0.5)] 0.01131 0.16187 1 0 Mshowa
0.01756 0.45617 moveto
0.03006 0.45617 lineto
stroke
0 setgray
[(0.5)] 0.01131 0.45617 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
0 setgray
[( )] 0.02381 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.006 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.60328 lineto
0.02753 0.60323 lineto
0.02877 0.60316 lineto
0.03001 0.60307 lineto
0.03125 0.60296 lineto
0.03373 0.60269 lineto
0.03621 0.60233 lineto
0.03869 0.6019 lineto
0.04365 0.6008 lineto
0.04861 0.59939 lineto
0.05357 0.59766 lineto
0.06349 0.59329 lineto
0.08333 0.58092 lineto
0.10317 0.56389 lineto
0.14286 0.51712 lineto
0.18254 0.45617 lineto
0.22222 0.38519 lineto
0.2619 0.30902 lineto
0.30159 0.23285 lineto
0.34127 0.16187 lineto
0.38095 0.10091 lineto
0.42063 0.05414 lineto
0.44048 0.03712 lineto
0.4504 0.03033 lineto
0.46032 0.02474 lineto
0.47024 0.02037 lineto
0.4752 0.01865 lineto
0.48016 0.01723 lineto
0.48512 0.01613 lineto
0.4876 0.0157 lineto
0.49008 0.01535 lineto
0.49256 0.01507 lineto
0.4938 0.01496 lineto
0.49504 0.01487 lineto
0.49628 0.0148 lineto
0.49752 0.01475 lineto
0.49876 0.01472 lineto
0.5 0.01472 lineto
0.50124 0.01472 lineto
0.50248 0.01475 lineto
0.50372 0.0148 lineto
0.50496 0.01487 lineto
0.5062 0.01496 lineto
0.50744 0.01507 lineto
0.50992 0.01535 lineto
0.5124 0.0157 lineto
0.51488 0.01613 lineto
0.51984 0.01723 lineto
Mistroke
0.5248 0.01865 lineto
0.52976 0.02037 lineto
0.53968 0.02474 lineto
0.55952 0.03712 lineto
0.57937 0.05414 lineto
0.61905 0.10091 lineto
0.65873 0.16187 lineto
0.69841 0.23285 lineto
0.7381 0.30902 lineto
0.77778 0.38519 lineto
0.81746 0.45617 lineto
0.85714 0.51712 lineto
0.87698 0.5425 lineto
0.89683 0.56389 lineto
0.91667 0.58092 lineto
0.93651 0.59329 lineto
0.94643 0.59766 lineto
0.95139 0.59939 lineto
0.95635 0.6008 lineto
0.96131 0.6019 lineto
0.96379 0.60233 lineto
0.96627 0.60269 lineto
0.96875 0.60296 lineto
0.96999 0.60307 lineto
0.97123 0.60316 lineto
0.97247 0.60323 lineto
0.97371 0.60328 lineto
0.97495 0.60331 lineto
0.97619 0.60332 lineto
Mfstroke
grestore
grestore
gsave
[ 0.05 0.05 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.06349 0.38519 lineto
0.10317 0.45617 lineto
0.14286 0.51712 lineto
0.1627 0.5425 lineto
0.18254 0.56389 lineto
0.20238 0.58092 lineto
0.22222 0.59329 lineto
0.23214 0.59766 lineto
0.2371 0.59939 lineto
0.24206 0.6008 lineto
0.24702 0.6019 lineto
0.2495 0.60233 lineto
0.25198 0.60269 lineto
0.25446 0.60296 lineto
0.2557 0.60307 lineto
0.25694 0.60316 lineto
0.25818 0.60323 lineto
0.25942 0.60328 lineto
0.26066 0.60331 lineto
0.2619 0.60332 lineto
0.26314 0.60331 lineto
0.26438 0.60328 lineto
0.26563 0.60323 lineto
0.26687 0.60316 lineto
0.26935 0.60296 lineto
0.27183 0.60269 lineto
0.27431 0.60233 lineto
0.27679 0.6019 lineto
0.28175 0.6008 lineto
0.28671 0.59939 lineto
0.29167 0.59766 lineto
0.30159 0.59329 lineto
0.32143 0.58092 lineto
0.34127 0.56389 lineto
0.38095 0.51712 lineto
0.42063 0.45617 lineto
0.46032 0.38519 lineto
0.5 0.30902 lineto
0.53968 0.23285 lineto
0.57937 0.16187 lineto
0.61905 0.10091 lineto
0.63889 0.07553 lineto
0.65873 0.05414 lineto
0.67857 0.03712 lineto
0.69841 0.02474 lineto
0.70833 0.02037 lineto
0.71329 0.01865 lineto
0.71825 0.01723 lineto
0.72321 0.01613 lineto
Mistroke
0.72569 0.0157 lineto
0.72817 0.01535 lineto
0.73065 0.01507 lineto
0.73189 0.01496 lineto
0.73313 0.01487 lineto
0.73438 0.0148 lineto
0.73562 0.01475 lineto
0.73686 0.01472 lineto
0.7381 0.01472 lineto
0.73934 0.01472 lineto
0.74058 0.01475 lineto
0.74182 0.0148 lineto
0.74306 0.01487 lineto
0.7443 0.01496 lineto
0.74554 0.01507 lineto
0.74802 0.01535 lineto
0.7505 0.0157 lineto
0.75298 0.01613 lineto
0.75794 0.01723 lineto
0.7629 0.01865 lineto
0.76786 0.02037 lineto
0.77778 0.02474 lineto
0.79762 0.03712 lineto
0.81746 0.05414 lineto
0.85714 0.10091 lineto
0.89683 0.16187 lineto
0.93651 0.23285 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; preserveAspect; ]
Notice that SignalPlot plots the real-valued part of the formula as a bold solid line and the imaginary-valued part of the formula as a dashed line.  By default, these plots are given the title "Signal Plot".  You can give ANY plot in Mathematica its own title.  To give the previous plot a title of  Problem 1,
;[s]
7:0,0;12,1;22,2;235,3;246,4;301,5;310,6;311,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
SignalPlot[ Exp[I Pi x], {x, 0, 2},
            PlotLabel -> "Problem 1" ]
:[font = text; inactive; preserveAspect; ]
     The signal processing extensions also offer a routine called SequencePlot to generate ``lollipop'' plots for discrete-time functions: 
;[s]
3:0,0;66,1;78,2;139,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
SequencePlot[ n CPulse[4, n], {n, -1, 5} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.18254 0.15873 0.01472 0.1962 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(-1)] 0.02381 0.00222 0 1 Msboxa
[(1)] 0.34127 0.00222 0 1 Msboxa
[(2)] 0.5 0.00222 0 1 Msboxa
[(3)] 0.65873 0.00222 0 1 Msboxa
[(4)] 0.81746 0.00222 0 1 Msboxa
[(5)] 0.97619 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(0.5)] 0.17004 0.11282 1 0 Msboxa
[(1)] 0.17004 0.21092 1 0 Msboxa
[(1.5)] 0.17004 0.30902 1 0 Msboxa
[(2)] 0.17004 0.40712 1 0 Msboxa
[(2.5)] 0.17004 0.50522 1 0 Msboxa
[(3)] 0.17004 0.60332 1 0 Msboxa
[( )] 0.18254 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-1)] 0.02381 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(1)] 0.34127 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(2)] 0.5 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(3)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(4)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(5)] 0.97619 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.18254 0 moveto
0.18254 0.61803 lineto
stroke
0.17629 0.11282 moveto
0.18879 0.11282 lineto
stroke
0 setgray
[(0.5)] 0.17004 0.11282 1 0 Mshowa
0.17629 0.21092 moveto
0.18879 0.21092 lineto
stroke
0 setgray
[(1)] 0.17004 0.21092 1 0 Mshowa
0.17629 0.30902 moveto
0.18879 0.30902 lineto
stroke
0 setgray
[(1.5)] 0.17004 0.30902 1 0 Mshowa
0.17629 0.40712 moveto
0.18879 0.40712 lineto
stroke
0 setgray
[(2)] 0.17004 0.40712 1 0 Mshowa
0.17629 0.50522 moveto
0.18879 0.50522 lineto
stroke
0 setgray
[(2.5)] 0.17004 0.50522 1 0 Mshowa
0.17629 0.60332 moveto
0.18879 0.60332 lineto
stroke
0 setgray
[(3)] 0.17004 0.60332 1 0 Mshowa
0 setgray
[( )] 0.18254 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.00838 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.02515 setlinewidth
0.02381 0.01472 Mdot
0.00838 setlinewidth
0.18254 0.01472 moveto
0.18254 0.01472 lineto
stroke
0.02515 setlinewidth
0.18254 0.01472 Mdot
0.00838 setlinewidth
0.34127 0.01472 moveto
0.34127 0.21092 lineto
stroke
0.02515 setlinewidth
0.34127 0.21092 Mdot
0.00838 setlinewidth
0.5 0.01472 moveto
0.5 0.40712 lineto
stroke
0.02515 setlinewidth
0.5 0.40712 Mdot
0.00838 setlinewidth
0.65873 0.01472 moveto
0.65873 0.60332 lineto
stroke
0.02515 setlinewidth
0.65873 0.60332 Mdot
0.00838 setlinewidth
0.81746 0.01472 moveto
0.81746 0.01472 lineto
stroke
0.02515 setlinewidth
0.81746 0.01472 Mdot
0.00838 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01472 lineto
stroke
0.02515 setlinewidth
0.97619 0.01472 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; preserveAspect; ]
Here, we are plotting a finite-extent discrete ramp of length 4 samples.  So, SequencePlot plots a real-valued function of an integer-valued variable.  Even though this example uses n as the time index, Mathematica does not attach a data type to symbols.  That is, n and t could represent integer, real, or complex variables--- to Mathematica, they are just symbols.
;[s]
13:0,0;78,1;90,2;182,3;183,4;203,5;214,6;265,7;266,8;271,9;273,10;331,11;342,12;366,-1;
13:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     One of the first topics reviewed in such a course is the effect on functions when the time variable is shifted and scaled.  The following example is a shifting of the previous complex-valued sinusoid by a fourth of a period:
:[font = input; preserveAspect; startGroup; ]
SignalPlot[ Exp[I Pi (x - 1/2) ], {x, 0, 2 } ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.30902 0.2943 [
[(Signal Plot)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.29652 0 1 Msboxa
[(1)] 0.5 0.29652 0 1 Msboxa
[(1.5)] 0.7381 0.29652 0 1 Msboxa
[(2)] 0.97619 0.29652 0 1 Msboxa
[(x)] 1.00625 0.30902 -1 0 Msboxa
[(-1)] 0.01131 0.01472 1 0 Msboxa
[(-0.5)] 0.01131 0.16187 1 0 Msboxa
[(0.5)] 0.01131 0.45617 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[( )] 0.02381 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Signal Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
0.2619 0.30277 moveto
0.2619 0.31527 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.29652 0 1 Mshowa
0.5 0.30277 moveto
0.5 0.31527 lineto
stroke
0 setgray
[(1)] 0.5 0.29652 0 1 Mshowa
0.7381 0.30277 moveto
0.7381 0.31527 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.29652 0 1 Mshowa
0.97619 0.30277 moveto
0.97619 0.31527 lineto
stroke
0 setgray
[(2)] 0.97619 0.29652 0 1 Mshowa
0 setgray
[(x)] 1.00625 0.30902 -1 0 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.01472 moveto
0.03006 0.01472 lineto
stroke
0 setgray
[(-1)] 0.01131 0.01472 1 0 Mshowa
0.01756 0.16187 moveto
0.03006 0.16187 lineto
stroke
0 setgray
[(-0.5)] 0.01131 0.16187 1 0 Mshowa
0.01756 0.45617 moveto
0.03006 0.45617 lineto
stroke
0 setgray
[(0.5)] 0.01131 0.45617 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
0 setgray
[( )] 0.02381 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.006 setlinewidth
0.02381 0.30902 moveto
0.06349 0.38519 lineto
0.10317 0.45617 lineto
0.14286 0.51712 lineto
0.1627 0.5425 lineto
0.18254 0.56389 lineto
0.20238 0.58092 lineto
0.22222 0.59329 lineto
0.23214 0.59766 lineto
0.2371 0.59939 lineto
0.24206 0.6008 lineto
0.24702 0.6019 lineto
0.2495 0.60233 lineto
0.25198 0.60269 lineto
0.25446 0.60296 lineto
0.2557 0.60307 lineto
0.25694 0.60316 lineto
0.25818 0.60323 lineto
0.25942 0.60328 lineto
0.26066 0.60331 lineto
0.2619 0.60332 lineto
0.26314 0.60331 lineto
0.26438 0.60328 lineto
0.26563 0.60323 lineto
0.26687 0.60316 lineto
0.26935 0.60296 lineto
0.27183 0.60269 lineto
0.27431 0.60233 lineto
0.27679 0.6019 lineto
0.28175 0.6008 lineto
0.28671 0.59939 lineto
0.29167 0.59766 lineto
0.30159 0.59329 lineto
0.32143 0.58092 lineto
0.34127 0.56389 lineto
0.38095 0.51712 lineto
0.42063 0.45617 lineto
0.46032 0.38519 lineto
0.5 0.30902 lineto
0.53968 0.23285 lineto
0.57937 0.16187 lineto
0.61905 0.10091 lineto
0.63889 0.07553 lineto
0.65873 0.05414 lineto
0.67857 0.03712 lineto
0.69841 0.02474 lineto
0.70833 0.02037 lineto
0.71329 0.01865 lineto
0.71825 0.01723 lineto
0.72321 0.01613 lineto
Mistroke
0.72569 0.0157 lineto
0.72817 0.01535 lineto
0.73065 0.01507 lineto
0.73189 0.01496 lineto
0.73313 0.01487 lineto
0.73438 0.0148 lineto
0.73562 0.01475 lineto
0.73686 0.01472 lineto
0.7381 0.01472 lineto
0.73934 0.01472 lineto
0.74058 0.01475 lineto
0.74182 0.0148 lineto
0.74306 0.01487 lineto
0.7443 0.01496 lineto
0.74554 0.01507 lineto
0.74802 0.01535 lineto
0.7505 0.0157 lineto
0.75298 0.01613 lineto
0.75794 0.01723 lineto
0.7629 0.01865 lineto
0.76786 0.02037 lineto
0.77778 0.02474 lineto
0.79762 0.03712 lineto
0.81746 0.05414 lineto
0.85714 0.10091 lineto
0.89683 0.16187 lineto
0.93651 0.23285 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
gsave
[ 0.05 0.05 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.02505 0.01472 lineto
0.02629 0.01475 lineto
0.02753 0.0148 lineto
0.02877 0.01487 lineto
0.03001 0.01496 lineto
0.03125 0.01507 lineto
0.03373 0.01535 lineto
0.03621 0.0157 lineto
0.03869 0.01613 lineto
0.04365 0.01723 lineto
0.04861 0.01865 lineto
0.05357 0.02037 lineto
0.06349 0.02474 lineto
0.08333 0.03712 lineto
0.10317 0.05414 lineto
0.14286 0.10091 lineto
0.18254 0.16187 lineto
0.22222 0.23285 lineto
0.2619 0.30902 lineto
0.30159 0.38519 lineto
0.34127 0.45617 lineto
0.38095 0.51712 lineto
0.42063 0.56389 lineto
0.44048 0.58092 lineto
0.4504 0.5877 lineto
0.46032 0.59329 lineto
0.47024 0.59766 lineto
0.4752 0.59939 lineto
0.48016 0.6008 lineto
0.48512 0.6019 lineto
0.4876 0.60233 lineto
0.49008 0.60269 lineto
0.49256 0.60296 lineto
0.4938 0.60307 lineto
0.49504 0.60316 lineto
0.49628 0.60323 lineto
0.49752 0.60328 lineto
0.49876 0.60331 lineto
0.5 0.60332 lineto
0.50124 0.60331 lineto
0.50248 0.60328 lineto
0.50372 0.60323 lineto
0.50496 0.60316 lineto
0.5062 0.60307 lineto
0.50744 0.60296 lineto
0.50992 0.60269 lineto
0.5124 0.60233 lineto
0.51488 0.6019 lineto
0.51984 0.6008 lineto
Mistroke
0.5248 0.59939 lineto
0.52976 0.59766 lineto
0.53968 0.59329 lineto
0.55952 0.58092 lineto
0.57937 0.56389 lineto
0.61905 0.51712 lineto
0.65873 0.45617 lineto
0.69841 0.38519 lineto
0.7381 0.30902 lineto
0.77778 0.23285 lineto
0.81746 0.16187 lineto
0.85714 0.10091 lineto
0.87698 0.07553 lineto
0.89683 0.05414 lineto
0.91667 0.03712 lineto
0.93651 0.02474 lineto
0.94643 0.02037 lineto
0.95139 0.01865 lineto
0.95635 0.01723 lineto
0.96131 0.01613 lineto
0.96379 0.0157 lineto
0.96627 0.01535 lineto
0.96875 0.01507 lineto
0.96999 0.01496 lineto
0.97123 0.01487 lineto
0.97247 0.0148 lineto
0.97371 0.01475 lineto
0.97495 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; preserveAspect; ]
Scaling can also be easily visualized:
:[font = input; preserveAspect; startGroup; ]
SignalPlot[ Exp[I Pi x / 2], {x, 0, 2 } ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.30902 0.2943 [
[(Signal Plot)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.29652 0 1 Msboxa
[(1)] 0.5 0.29652 0 1 Msboxa
[(1.5)] 0.7381 0.29652 0 1 Msboxa
[(2)] 0.97619 0.29652 0 1 Msboxa
[(x)] 1.00625 0.30902 -1 0 Msboxa
[(-1)] 0.01131 0.01472 1 0 Msboxa
[(-0.5)] 0.01131 0.16187 1 0 Msboxa
[(0.5)] 0.01131 0.45617 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[( )] 0.02381 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Signal Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
0.2619 0.30277 moveto
0.2619 0.31527 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.29652 0 1 Mshowa
0.5 0.30277 moveto
0.5 0.31527 lineto
stroke
0 setgray
[(1)] 0.5 0.29652 0 1 Mshowa
0.7381 0.30277 moveto
0.7381 0.31527 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.29652 0 1 Mshowa
0.97619 0.30277 moveto
0.97619 0.31527 lineto
stroke
0 setgray
[(2)] 0.97619 0.29652 0 1 Mshowa
0 setgray
[(x)] 1.00625 0.30902 -1 0 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.01472 moveto
0.03006 0.01472 lineto
stroke
0 setgray
[(-1)] 0.01131 0.01472 1 0 Mshowa
0.01756 0.16187 moveto
0.03006 0.16187 lineto
stroke
0 setgray
[(-0.5)] 0.01131 0.16187 1 0 Mshowa
0.01756 0.45617 moveto
0.03006 0.45617 lineto
stroke
0 setgray
[(0.5)] 0.01131 0.45617 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
0 setgray
[( )] 0.02381 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.006 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60332 lineto
0.02629 0.60331 lineto
0.02753 0.6033 lineto
0.02877 0.60328 lineto
0.03001 0.60326 lineto
0.03125 0.60323 lineto
0.03373 0.60316 lineto
0.03621 0.60307 lineto
0.03869 0.60296 lineto
0.04365 0.60269 lineto
0.04861 0.60233 lineto
0.05357 0.6019 lineto
0.06349 0.6008 lineto
0.07341 0.59939 lineto
0.08333 0.59766 lineto
0.10317 0.59329 lineto
0.14286 0.58092 lineto
0.18254 0.56389 lineto
0.22222 0.5425 lineto
0.2619 0.51712 lineto
0.30159 0.48818 lineto
0.34127 0.45617 lineto
0.38095 0.42164 lineto
0.42063 0.38519 lineto
0.46032 0.34743 lineto
0.5 0.30902 lineto
0.53968 0.2706 lineto
0.57937 0.23285 lineto
0.61905 0.19639 lineto
0.65873 0.16187 lineto
0.69841 0.12986 lineto
0.7381 0.10091 lineto
0.77778 0.07553 lineto
0.81746 0.05414 lineto
0.85714 0.03712 lineto
0.87698 0.03033 lineto
0.89683 0.02474 lineto
0.91667 0.02037 lineto
0.92659 0.01865 lineto
0.93651 0.01723 lineto
0.94643 0.01613 lineto
0.95139 0.0157 lineto
0.95635 0.01535 lineto
0.96131 0.01507 lineto
0.96379 0.01496 lineto
0.96627 0.01487 lineto
0.96875 0.0148 lineto
0.96999 0.01478 lineto
0.97123 0.01475 lineto
Mistroke
0.97247 0.01474 lineto
0.97371 0.01472 lineto
0.97495 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
[ 0.05 0.05 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.06349 0.34743 lineto
0.10317 0.38519 lineto
0.14286 0.42164 lineto
0.18254 0.45617 lineto
0.22222 0.48818 lineto
0.2619 0.51712 lineto
0.30159 0.5425 lineto
0.34127 0.56389 lineto
0.38095 0.58092 lineto
0.42063 0.59329 lineto
0.44048 0.59766 lineto
0.4504 0.59939 lineto
0.46032 0.6008 lineto
0.47024 0.6019 lineto
0.4752 0.60233 lineto
0.48016 0.60269 lineto
0.48512 0.60296 lineto
0.4876 0.60307 lineto
0.49008 0.60316 lineto
0.49256 0.60323 lineto
0.4938 0.60326 lineto
0.49504 0.60328 lineto
0.49628 0.6033 lineto
0.49752 0.60331 lineto
0.49876 0.60332 lineto
0.5 0.60332 lineto
0.50124 0.60332 lineto
0.50248 0.60331 lineto
0.50372 0.6033 lineto
0.50496 0.60328 lineto
0.5062 0.60326 lineto
0.50744 0.60323 lineto
0.50992 0.60316 lineto
0.5124 0.60307 lineto
0.51488 0.60296 lineto
0.51984 0.60269 lineto
0.5248 0.60233 lineto
0.52976 0.6019 lineto
0.53968 0.6008 lineto
0.5496 0.59939 lineto
0.55952 0.59766 lineto
0.57937 0.59329 lineto
0.61905 0.58092 lineto
0.65873 0.56389 lineto
0.69841 0.5425 lineto
0.7381 0.51712 lineto
0.77778 0.48818 lineto
0.81746 0.45617 lineto
0.85714 0.42164 lineto
Mistroke
0.89683 0.38519 lineto
0.93651 0.34743 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; preserveAspect; ]
Because the time variable x is divided by 2, the period is doubled.  Another form of scaling is to reverse the signal:
;[s]
3:0,0;26,1;27,2;119,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
SignalPlot[ Exp[- I Pi x], {x, 0, 2} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.47619 0.309017 0.294302 [
[(0.5)] 0.2619 0.30902 0 2 Msboxa
[(1)] 0.5 0.30902 0 2 Msboxa
[(1.5)] 0.7381 0.30902 0 2 Msboxa
[(2)] 0.97619 0.30902 0 2 Msboxa
[(x)] 1.025 0.30902 -1 0 Msboxa
[(Signal Plot)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-1)] 0.01131 0.01472 1 0 Msboxa
[(-0.5)] 0.01131 0.16187 1 0 Msboxa
[(0.5)] 0.01131 0.45617 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[( )] 0.02381 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.2619 0.30902 moveto
0.2619 0.31527 lineto
stroke
grestore
[(0.5)] 0.2619 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.5 0.31527 lineto
stroke
grestore
[(1)] 0.5 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.7381 0.30902 moveto
0.7381 0.31527 lineto
stroke
grestore
[(1.5)] 0.7381 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.30902 moveto
0.97619 0.31527 lineto
stroke
grestore
[(2)] 0.97619 0.30902 0 2 Mshowa
gsave
0.001 setlinewidth
0.07143 0.30902 moveto
0.07143 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11905 0.30902 moveto
0.11905 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16667 0.30902 moveto
0.16667 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21429 0.30902 moveto
0.21429 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30952 0.30902 moveto
0.30952 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.35714 0.30902 moveto
0.35714 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40476 0.30902 moveto
0.40476 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.45238 0.30902 moveto
0.45238 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54762 0.30902 moveto
0.54762 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59524 0.30902 moveto
0.59524 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.64286 0.30902 moveto
0.64286 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69048 0.30902 moveto
0.69048 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78571 0.30902 moveto
0.78571 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83333 0.30902 moveto
0.83333 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88095 0.30902 moveto
0.88095 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92857 0.30902 moveto
0.92857 0.31277 lineto
stroke
grestore
[(x)] 1.025 0.30902 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
[(Signal Plot)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.02381 0.01472 moveto
0.03006 0.01472 lineto
stroke
grestore
[(-1)] 0.01131 0.01472 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.16187 moveto
0.03006 0.16187 lineto
stroke
grestore
[(-0.5)] 0.01131 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.45617 moveto
0.03006 0.45617 lineto
stroke
grestore
[(0.5)] 0.01131 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.60332 moveto
0.03006 0.60332 lineto
stroke
grestore
[(1)] 0.01131 0.60332 1 0 Mshowa
gsave
0.001 setlinewidth
0.02381 0.04415 moveto
0.02756 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.07358 moveto
0.02756 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.10301 moveto
0.02756 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.13244 moveto
0.02756 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.1913 moveto
0.02756 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.22073 moveto
0.02756 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.25016 moveto
0.02756 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.27959 moveto
0.02756 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.33845 moveto
0.02756 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.36788 moveto
0.02756 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.39731 moveto
0.02756 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.42674 moveto
0.02756 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.4856 moveto
0.02756 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.51503 moveto
0.02756 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.54446 moveto
0.02756 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.57389 moveto
0.02756 0.57389 lineto
stroke
grestore
[( )] 0.02381 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.006 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.60328 lineto
0.02753 0.60323 lineto
0.02877 0.60316 lineto
0.03001 0.60307 lineto
0.03125 0.60296 lineto
0.03373 0.60269 lineto
0.03621 0.60233 lineto
0.03869 0.6019 lineto
0.04365 0.6008 lineto
0.04861 0.59939 lineto
0.05357 0.59766 lineto
0.06349 0.59329 lineto
0.08333 0.58092 lineto
0.10317 0.56389 lineto
0.14286 0.51712 lineto
0.18254 0.45617 lineto
0.22222 0.38519 lineto
0.2619 0.30902 lineto
0.30159 0.23285 lineto
0.34127 0.16187 lineto
0.38095 0.10091 lineto
0.42063 0.05414 lineto
0.44048 0.03712 lineto
0.4504 0.03033 lineto
0.46032 0.02474 lineto
0.47024 0.02037 lineto
0.4752 0.01865 lineto
0.48016 0.01723 lineto
0.48512 0.01613 lineto
0.4876 0.0157 lineto
0.49008 0.01535 lineto
0.49256 0.01507 lineto
0.4938 0.01496 lineto
0.49504 0.01487 lineto
0.49628 0.0148 lineto
0.49752 0.01475 lineto
0.49876 0.01472 lineto
0.5 0.01472 lineto
0.50124 0.01472 lineto
0.50248 0.01475 lineto
0.50372 0.0148 lineto
0.50496 0.01487 lineto
0.5062 0.01496 lineto
0.50744 0.01507 lineto
0.50992 0.01535 lineto
0.5124 0.0157 lineto
0.51488 0.01613 lineto
0.51984 0.01723 lineto
Mistroke
0.5248 0.01865 lineto
0.52976 0.02037 lineto
0.53968 0.02474 lineto
0.55952 0.03712 lineto
0.57937 0.05414 lineto
0.61905 0.10091 lineto
0.65873 0.16187 lineto
0.69841 0.23285 lineto
0.7381 0.30902 lineto
0.77778 0.38519 lineto
0.81746 0.45617 lineto
0.85714 0.51712 lineto
0.87698 0.5425 lineto
0.89683 0.56389 lineto
0.91667 0.58092 lineto
0.93651 0.59329 lineto
0.94643 0.59766 lineto
0.95139 0.59939 lineto
0.95635 0.6008 lineto
0.96131 0.6019 lineto
0.96379 0.60233 lineto
0.96627 0.60269 lineto
0.96875 0.60296 lineto
0.96999 0.60307 lineto
0.97123 0.60316 lineto
0.97247 0.60323 lineto
0.97371 0.60328 lineto
0.97495 0.60331 lineto
0.97619 0.60332 lineto
Mfstroke
grestore
grestore
gsave
[ 0.05 0.05 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.06349 0.23285 lineto
0.10317 0.16187 lineto
0.14286 0.10091 lineto
0.1627 0.07553 lineto
0.18254 0.05414 lineto
0.20238 0.03712 lineto
0.22222 0.02474 lineto
0.23214 0.02037 lineto
0.2371 0.01865 lineto
0.24206 0.01723 lineto
0.24702 0.01613 lineto
0.2495 0.0157 lineto
0.25198 0.01535 lineto
0.25446 0.01507 lineto
0.2557 0.01496 lineto
0.25694 0.01487 lineto
0.25818 0.0148 lineto
0.25942 0.01475 lineto
0.26066 0.01472 lineto
0.2619 0.01472 lineto
0.26314 0.01472 lineto
0.26438 0.01475 lineto
0.26563 0.0148 lineto
0.26687 0.01487 lineto
0.26935 0.01507 lineto
0.27183 0.01535 lineto
0.27431 0.0157 lineto
0.27679 0.01613 lineto
0.28175 0.01723 lineto
0.28671 0.01865 lineto
0.29167 0.02037 lineto
0.30159 0.02474 lineto
0.32143 0.03712 lineto
0.34127 0.05414 lineto
0.38095 0.10091 lineto
0.42063 0.16187 lineto
0.46032 0.23285 lineto
0.5 0.30902 lineto
0.53968 0.38519 lineto
0.57937 0.45617 lineto
0.61905 0.51712 lineto
0.63889 0.5425 lineto
0.65873 0.56389 lineto
0.67857 0.58092 lineto
0.69841 0.59329 lineto
0.70833 0.59766 lineto
0.71329 0.59939 lineto
0.71825 0.6008 lineto
0.72321 0.6019 lineto
Mistroke
0.72569 0.60233 lineto
0.72817 0.60269 lineto
0.73065 0.60296 lineto
0.73189 0.60307 lineto
0.73313 0.60316 lineto
0.73438 0.60323 lineto
0.73562 0.60328 lineto
0.73686 0.60331 lineto
0.7381 0.60332 lineto
0.73934 0.60331 lineto
0.74058 0.60328 lineto
0.74182 0.60323 lineto
0.74306 0.60316 lineto
0.7443 0.60307 lineto
0.74554 0.60296 lineto
0.74802 0.60269 lineto
0.7505 0.60233 lineto
0.75298 0.6019 lineto
0.75794 0.6008 lineto
0.7629 0.59939 lineto
0.76786 0.59766 lineto
0.77778 0.59329 lineto
0.79762 0.58092 lineto
0.81746 0.56389 lineto
0.85714 0.51712 lineto
0.89683 0.45617 lineto
0.93651 0.38519 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Preferences dialog box to 
control when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; preserveAspect; endGroup; ]
Comparing this plot to the plot of Exp[I Pi x], you will notice that the real-valued part did not change but the imaginary part has been flipped about the x-axis.  This makes sense because e -j p x can be rewritten as cos(-p x) + j sin(-p x) = cos(p x) - j sin(p x).  Compare to e j p x = cos(p x) + j sin(p x).
;[s]
24:0,0;35,1;46,2;190,3;194,4;195,5;198,6;218,7;223,8;224,9;237,10;238,11;248,12;249,13;261,14;262,15;280,16;283,17;284,18;287,19;293,20;294,21;306,22;307,23;319,-1;
24:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Convolution Problems
:[font = text; inactive; preserveAspect; ]
     The convolution capabilities of the extensions are useful in checking answers, solving homework problems, and allowing you to make up your own drill problems.  The first step, though, is to convert a textbook description of the functions to convolve into either formula or piecewise notation.   The formula notation is standard Mathematica code like Exp[-t].  The piecewise notation defines a function using a list of F-intervals, where each F-interval is a three-element list:  {function, left-endpoint, right-endpoint}.
;[s]
5:0,0;333,1;344,2;355,3;362,4;526,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     A discrete pulse of amplitude 1 with extent n = 0 .. 3 would be written as Pulse[4, n] in formula notation or as {1, 0, 3} in piecewise notation.   Piecewise notation is the format in which the convolution routines work the problem and return their answers.  The limitation of the convolution routines is that the left endpoint of each interval must be numeric (like 2 or Pi) or -Infinity and each right endpoint must be numeric or Infinity (cf the ``Intro'' Notebook or the first Section of  the pamphlet).
;[s]
13:0,0;80,1;91,2;118,3;127,4;372,5;373,6;377,7;379,8;384,9;393,10;437,11;445,12;512,-1;
13:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Sometimes, functions are specified in graphical form, such as
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 102; pictureWidth = 275; pictureHeight = 170; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.07937 0.01472 0.2943 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(-6)] 0.02381 0.00222 0 1 Msboxa
[(-4)] 0.18254 0.00222 0 1 Msboxa
[(-2)] 0.34127 0.00222 0 1 Msboxa
[(2)] 0.65873 0.00222 0 1 Msboxa
[(4)] 0.81746 0.00222 0 1 Msboxa
[(6)] 0.97619 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(0.5)] 0.4875 0.16187 1 0 Msboxa
[(1)] 0.4875 0.30902 1 0 Msboxa
[(1.5)] 0.4875 0.45617 1 0 Msboxa
[(2)] 0.4875 0.60332 1 0 Msboxa
[( )] 0.5 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-6)] 0.02381 0.00222 0 1 Mshowa
0.18254 0.00847 moveto
0.18254 0.02097 lineto
stroke
0 setgray
[(-4)] 0.18254 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(-2)] 0.34127 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(2)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(4)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(6)] 0.97619 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.16187 moveto
0.50625 0.16187 lineto
stroke
0 setgray
[(0.5)] 0.4875 0.16187 1 0 Mshowa
0.49375 0.30902 moveto
0.50625 0.30902 lineto
stroke
0 setgray
[(1)] 0.4875 0.30902 1 0 Mshowa
0.49375 0.45617 moveto
0.50625 0.45617 lineto
stroke
0 setgray
[(1.5)] 0.4875 0.45617 1 0 Mshowa
0.49375 0.60332 moveto
0.50625 0.60332 lineto
stroke
0 setgray
[(2)] 0.4875 0.60332 1 0 Mshowa
0 setgray
[( )] 0.5 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.0068 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.02041 setlinewidth
0.02381 0.01472 Mdot
0.0068 setlinewidth
0.10317 0.01472 moveto
0.10317 0.01472 lineto
stroke
0.02041 setlinewidth
0.10317 0.01472 Mdot
0.0068 setlinewidth
0.18254 0.01472 moveto
0.18254 0.01472 lineto
stroke
0.02041 setlinewidth
0.18254 0.01472 Mdot
0.0068 setlinewidth
0.2619 0.01472 moveto
0.2619 0.30902 lineto
stroke
0.02041 setlinewidth
0.2619 0.30902 Mdot
0.0068 setlinewidth
0.34127 0.01472 moveto
0.34127 0.30902 lineto
stroke
0.02041 setlinewidth
0.34127 0.30902 Mdot
0.0068 setlinewidth
0.42063 0.01472 moveto
0.42063 0.30902 lineto
stroke
0.02041 setlinewidth
0.42063 0.30902 Mdot
0.0068 setlinewidth
0.5 0.01472 moveto
0.5 0.60332 lineto
stroke
0.02041 setlinewidth
0.5 0.60332 Mdot
0.0068 setlinewidth
0.57937 0.01472 moveto
0.57937 0.60332 lineto
stroke
0.02041 setlinewidth
0.57937 0.60332 Mdot
0.0068 setlinewidth
0.65873 0.01472 moveto
0.65873 0.60332 lineto
stroke
0.02041 setlinewidth
0.65873 0.60332 Mdot
0.0068 setlinewidth
0.7381 0.01472 moveto
0.7381 0.60332 lineto
stroke
0.02041 setlinewidth
0.7381 0.60332 Mdot
0.0068 setlinewidth
0.81746 0.01472 moveto
0.81746 0.01472 lineto
stroke
0.02041 setlinewidth
0.81746 0.01472 Mdot
0.0068 setlinewidth
0.89683 0.01472 moveto
0.89683 0.01472 lineto
stroke
0.02041 setlinewidth
0.89683 0.01472 Mdot
0.0068 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01472 lineto
stroke
0.02041 setlinewidth
0.97619 0.01472 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; ]
By looking at the ``lollipop'' plot,  you may notice that the function really consists of two pulses.  The ``left'' pulse has amplitude 1 and extends for three samples from n = -3 to n = -1 inclusive.  The right pulse has amplitude 2 and extends for four samples from n = 0 to n = 3 inclusive.   In Mathematica notation, this concatenation of two pulses would be written as
;[s]
3:0,0;299,1;310,2;373,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
twoPulses = Pulse[3, n+3] + 2 Pulse[4, n];
:[font = text; inactive; preserveAspect; ]
in formula notation or in piecewise notation as
:[font = input; preserveAspect; startGroup; ]
FormulaToPiecewise[ twoPulses, n ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{1, -3, -1}, {2, 0, 3}}
;[o]
{{1, -3, -1}, {2, 0, 3}}
:[font = text; inactive; preserveAspect; ]
We will convolve this function with a discrete step function (the result would be the step response of an FIR digital filter whose impulse response is the same as twoPulses):
;[s]
3:0,0;163,1;172,2;174,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
discConv =
DTPiecewiseConvolution[twoPulses, Step[n], n]
:[font = output; output; inactive; preserveAspect; fontSize = 13; fontName = "Courier"; endGroup; ]
{{4 + n, -3, -1}, {5 + 2*n, 0, 3}, {11, 4, DirectedInfinity[1]}}
;[o]
{{4 + n, -3, -1}, {5 + 2 n, 0, 3}, {11, 4, Infinity}}
:[font = text; inactive; preserveAspect; ]
Notice that the result of the convolution is returned in piecewise notation:
:[font = print; inactive; locked; preserveAspect; center; ]
 4 + n    for n = [-3, -1]
5 + 2 n   for n = [0, 3]  
   11     for n >= 4      
    0     otherwise       
:[font = text; inactive; preserveAspect; ]
To plot the result of convolution, use PiecewisePlot:
;[s]
3:0,0;39,1;52,2;54,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; startGroup; ]
PiecewisePlot[ discConv, {n, -5, 10},
               Domain -> Discrete ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; pictureLeft = 38; pictureWidth = 276; pictureHeight = 168; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.34127 0.06349 0.01472 0.05351 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(-4)] 0.0873 0.00222 0 1 Msboxa
[(-2)] 0.21429 0.00222 0 1 Msboxa
[(2)] 0.46825 0.00222 0 1 Msboxa
[(4)] 0.59524 0.00222 0 1 Msboxa
[(6)] 0.72222 0.00222 0 1 Msboxa
[(8)] 0.84921 0.00222 0 1 Msboxa
[(10)] 0.97619 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(2)] 0.32877 0.12173 1 0 Msboxa
[(4)] 0.32877 0.22875 1 0 Msboxa
[(6)] 0.32877 0.33577 1 0 Msboxa
[(8)] 0.32877 0.44279 1 0 Msboxa
[(10)] 0.32877 0.54981 1 0 Msboxa
[( )] 0.34127 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.0873 0.00847 moveto
0.0873 0.02097 lineto
stroke
0 setgray
[(-4)] 0.0873 0.00222 0 1 Mshowa
0.21429 0.00847 moveto
0.21429 0.02097 lineto
stroke
0 setgray
[(-2)] 0.21429 0.00222 0 1 Mshowa
0.46825 0.00847 moveto
0.46825 0.02097 lineto
stroke
0 setgray
[(2)] 0.46825 0.00222 0 1 Mshowa
0.59524 0.00847 moveto
0.59524 0.02097 lineto
stroke
0 setgray
[(4)] 0.59524 0.00222 0 1 Mshowa
0.72222 0.00847 moveto
0.72222 0.02097 lineto
stroke
0 setgray
[(6)] 0.72222 0.00222 0 1 Mshowa
0.84921 0.00847 moveto
0.84921 0.02097 lineto
stroke
0 setgray
[(8)] 0.84921 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(10)] 0.97619 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.34127 0 moveto
0.34127 0.61803 lineto
stroke
0.33502 0.12173 moveto
0.34752 0.12173 lineto
stroke
0 setgray
[(2)] 0.32877 0.12173 1 0 Mshowa
0.33502 0.22875 moveto
0.34752 0.22875 lineto
stroke
0 setgray
[(4)] 0.32877 0.22875 1 0 Mshowa
0.33502 0.33577 moveto
0.34752 0.33577 lineto
stroke
0 setgray
[(6)] 0.32877 0.33577 1 0 Mshowa
0.33502 0.44279 moveto
0.34752 0.44279 lineto
stroke
0 setgray
[(8)] 0.32877 0.44279 1 0 Mshowa
0.33502 0.54981 moveto
0.34752 0.54981 lineto
stroke
0 setgray
[(10)] 0.32877 0.54981 1 0 Mshowa
0 setgray
[( )] 0.34127 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.00637 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.01912 setlinewidth
0.02381 0.01472 Mdot
0.00637 setlinewidth
0.0873 0.01472 moveto
0.0873 0.01472 lineto
stroke
0.01912 setlinewidth
0.0873 0.01472 Mdot
0.00637 setlinewidth
0.15079 0.01472 moveto
0.15079 0.06822 lineto
stroke
0.01912 setlinewidth
0.15079 0.06822 Mdot
0.00637 setlinewidth
0.21429 0.01472 moveto
0.21429 0.12173 lineto
stroke
0.01912 setlinewidth
0.21429 0.12173 Mdot
0.00637 setlinewidth
0.27778 0.01472 moveto
0.27778 0.17524 lineto
stroke
0.01912 setlinewidth
0.27778 0.17524 Mdot
0.00637 setlinewidth
0.34127 0.01472 moveto
0.34127 0.28226 lineto
stroke
0.01912 setlinewidth
0.34127 0.28226 Mdot
0.00637 setlinewidth
0.40476 0.01472 moveto
0.40476 0.38928 lineto
stroke
0.01912 setlinewidth
0.40476 0.38928 Mdot
0.00637 setlinewidth
0.46825 0.01472 moveto
0.46825 0.4963 lineto
stroke
0.01912 setlinewidth
0.46825 0.4963 Mdot
0.00637 setlinewidth
0.53175 0.01472 moveto
0.53175 0.60332 lineto
stroke
0.01912 setlinewidth
0.53175 0.60332 Mdot
0.00637 setlinewidth
0.59524 0.01472 moveto
0.59524 0.60332 lineto
stroke
0.01912 setlinewidth
0.59524 0.60332 Mdot
0.00637 setlinewidth
0.65873 0.01472 moveto
0.65873 0.60332 lineto
stroke
0.01912 setlinewidth
0.65873 0.60332 Mdot
0.00637 setlinewidth
0.72222 0.01472 moveto
0.72222 0.60332 lineto
stroke
0.01912 setlinewidth
0.72222 0.60332 Mdot
0.00637 setlinewidth
0.78571 0.01472 moveto
0.78571 0.60332 lineto
stroke
0.01912 setlinewidth
0.78571 0.60332 Mdot
0.00637 setlinewidth
0.84921 0.01472 moveto
0.84921 0.60332 lineto
stroke
0.01912 setlinewidth
0.84921 0.60332 Mdot
0.00637 setlinewidth
0.9127 0.01472 moveto
0.9127 0.60332 lineto
stroke
0.01912 setlinewidth
0.9127 0.60332 Mdot
0.00637 setlinewidth
0.97619 0.01472 moveto
0.97619 0.60332 lineto
stroke
0.01912 setlinewidth
0.97619 0.60332 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; ]
By default, PiecewisePlot assumes that the piecewise function is continuous. To obtain lollipop plots for piecewise discrete functions, you must specify the domain by using Domain -> Discrete as an additional argument.
;[s]
5:0,0;12,1;25,2;173,3;191,4;219,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Working convolution problems in the continuous domain is very similar.  In the next example, a continuous step function will be convolved with a continuous pulse of length 4 units centered at the origin.  The pulse is
:[font = input; preserveAspect; ]
symmPulse = {1, -2, 2};
:[font = text; inactive; preserveAspect; ]
in piecewise notation.  To convert it to formula notation,
:[font = input; preserveAspect; startGroup; ]
PiecewiseToFormula[ symmPulse, t,
                    Domain -> Continuous ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
CPulse[4, 2 + t]
;[o]
CPulse [2 + t]
      4
:[font = text; inactive; preserveAspect; ]
The continuous convolution of the two functions with respect to t is
:[font = input; preserveAspect; startGroup; ]
CTPiecewiseConvolution[symmPulse, CStep[t], t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{2 + t, -2, 2}, {4, 2, DirectedInfinity[1]}}
;[o]
{{2 + t, -2, 2}, {4, 2, Infinity}}
:[font = text; inactive; preserveAspect; ]
Again, the result is in piecewise notation (plot it using PiecewisePlot):
;[s]
3:0,0;58,1;71,2;74,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; center; endGroup; ]
2 + t    for t in [-2, 2)
  4      for t >= 2      
  0      otherwise       
:[font = section; inactive; preserveAspect; startGroup; ]
Animating Convolution
:[font = text; inactive; preserveAspect; ]
     Convolution routines can do more than just solve homework problems or allow you to create your own drill problems.  Through animation, these routines can also show you how to perform the convolution by the flip-and-slide method.
:[font = text; inactive; preserveAspect; ]
     Convolving sequence x[n] with sequence h[n] is defined by
:[font = print; inactive; preserveAspect; center; ]
x[n] * h[n] = S x[m] h[n-m]
              m            
;[s]
6:0,0;13,1;14,2;15,3;16,4;27,5;56,-1;
6:1,11,9,Courier,32,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,0,0,Symbol,0,24,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,32,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
For two continuous-time signals x(t) and h(t), convolution is defined in a similar manner with the summation operation replaced by integration.  The flip-and-slide method takes h(t) or h[n], flips it about the time axis to give h[-m] or h(-u), aligns the flipped function with x(u) or x[m], and slides h(t-u) or h[n-m] across x(u) or x[m] to produce the convolution result.
:[font = text; inactive; preserveAspect; ]
     The convolution routines will generate the frames for the animation if you specify the option Dialogue -> True .  When the Dialogue option is All, the animation sequence will show two plots per frame--- the upper plot is the flip-and-slide approach to convolution and the lower plot is the overlap between the two functions being convolved with the delay value indicated in the header of the plot.  When Dialogue is True or All, a legend is displayed.
;[s]
13:0,0;99,1;115,2;128,3;136,4;147,5;150,6;409,7;417,8;421,9;425,10;429,11;432,12;457,-1;
13:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
     If you are using the Notebook interface, you will have to invoke the proper Notebook command to animate the sequence of frames.   First, double click on the bracket that groups all of the animation frames (this action should compact the frames into one).  Then, double click again to start the animation (or, alternately, go to the Graph menu and select Animate Selected Graphics).  As the animation runs, you can control its speed by hitting a number 0-9 on the numeric keypad (0 being the slowest and 9 being the fastest of these settings).  Alternately, you can hit the uparrow button to increase the speed and the downarrow button to decrease the speed (the buttons will be located at the bottom of the Notebook).  You can also peruse the animation at your own speed by using the horizontal scroll bar.
;[s]
5:0,0;337,1;342,2;359,3;384,4;812,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;
^*)